This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292039 - GUI: "Next checkin Time" field in about window should be cleared and set to "Unknown" on a system that is registered and unregistered again
GUI: "Next checkin Time" field in about window should be cleared and set to "...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: William Poteat
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 05:09 EST by Shwetha Kallesh
Modified: 2016-01-04 09:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 09:49:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Next system Check-in field (128.37 KB, image/png)
2015-12-16 05:09 EST, Shwetha Kallesh
no flags Details

  None (edit)
Description Shwetha Kallesh 2015-12-16 05:09:08 EST
Created attachment 1106348 [details]
Next system Check-in field

Description of problem:
GUI: "Next checkin Time" field in about window should be cleared and set to "Unknown" on a system that is registered and unregistered again

Version-Release number of selected component (if applicable):

[root@dell-pe1850-04 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.0.10-1
subscription management rules: 5.19
subscription-manager: 1.16.6-1.el6
python-rhsm: 1.16.4-1.el6

How reproducible:


Steps to Reproduce:
a) Register a system
b) Launch GUI , go to Help -----> about ----> note the "Next checkin Time" 
c) Close the window and unregister the system
d) go to Help -----> about ----> note the "Next checkin Time" , its not cleared and notice that the value noted down in step b) still persists
e) close the GUI window and launch GUI again
f) go to Help -----> about ----> note the "Next checkin Time" , its not cleared and notice that the value noted down in step b) still persists

Actual results:
Value set before unregistering the system,
P.S Attachment

Expected results:

Value should be cleared after system is unregistered and set to "Unknown" or "System is not registered yet" or something similar

Additional info:
Comment 2 William Poteat 2016-01-04 09:49:06 EST
The cycle and running of rhsmcertd is not based on the status of the system. Unregistering just appears on the client side as a lack of consumer cert. rhsmcertd will start as indicated and then realize that the cert is absent and then reset its time and stop.

There is a use case where the consumer cert is created at the Portal/Satellite and  copied to the machine. The next check in time would be important information during this process.

Note You need to log in before you can comment on or make changes to this bug.